DC1394_VLOOPBACK(1)

NAME
dc1394_vloopback - send format0 video to V4L vloopback device

SYNOPSIS
dc1394_vloopback [--daemon] [--pipe] [--guid=camera-euid] [--video1394=/dev/video1394/x] [--vloopback=/dev/video0] [--palette=yuv422|rgb24] [--width=n] [--height=n]

DESCRIPTION
Sends format0 640x480 RGB to the vloopback input device so that it can be consumed by V4L applications on the vloopback output device.

OPTIONS

--daemon
    run as a daemon, detached from console (optional).

--pipe
    write images to vloopback device instead of using zero-copy mmap mode (optional).

--guid
    select camera to use (optional). default is first camera on any port.

--video1394
    specifies video1394 device to use (optional). default is /dev/video1394/<port#>.

--vloopback
    specifies video4linux device to use (optional). default is to determine this automatically.

--palette
    specify the video palette to use (optional). yuv422 (default) or rgb24.

--width
    set the initial width (default=640)

--height
    set the initial height (default=480)

--help
    print help message

BUGS
This program is maintained by the DC1394 Package Mainteners' team <libdc1394-packaging@lists.sourceforge.net>.

The bugs related to libdc1394 and current packaging can be submitted here:

http://bugs.launchpad.net/~libdc1394-dev/

For bugs related to library implementation, please submit to libdc1394 developers: <libdc1394-dev@lists.sourceforge.net>.

AUTHOR
This manual page was originally written by Peter De Schrijver <p2@debian.org> for the Debian GNU/Linux system (but may be used by others).

COPYRIGHT
This manual page is maintained by the DC1394 Package Mainteners' team. The team members and other information can be found online at: http://launchpad.net/~libdc1394-dev

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems (like Ubuntu), the complete text of the GNU Lesser General Public License can be found in /usr/share/common-licenses/LGPL-2.

SEE ALSO
dc1394_reset_bus(1)